%define module_name WebService-PayPal-NVP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(DateTime.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(ExtUtils/MakeMaker.pm) perl(LWP/Protocol/https.pm) perl(LWP/UserAgent.pm) perl(Moo.pm) perl(MooX/Types/MooseLike/Base.pm) perl(Pod/Wordlist.pm) perl(Test/CPAN/Changes.pm) perl(Test/More.pm) perl(Test/RequiresInternet.pm) perl(Test/Spelling.pm) perl(Test/Synopsis.pm) perl(URI/Escape.pm) perl(YAML/Syck.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.006
Release: alt1
Summary: PayPal NVP API
Group: Development/Perl
License: perl
URL: https://github.com/bradhaywood/WebService-PayPal-NVP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/O/OA/OALDERS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
A pure object oriented interface to PayPal's NVP API (Name-Value Pair). A lot of the logic in this module was taken from the Business::PayPal::NVP manpage. I re-wrote it because it wasn't working with Catalyst adaptors and I couldn't save instances of it in Moose-type accessors. Otherwise it worked fine. So if you don't need that kind of support you should visit the Business::PayPal::NVP manpage!.
Currently supports `do_direct_payment', `do_express_checkout_payment', `get_express_checkout_details' and `set_express_checkout'. Another difference with this module compared to the Business::PayPal::NVP manpage is that the keys may be passed as lowercase. Also, a response will return a WebService::PayPal::NVP::Response object where the response values are methods. Timestamps will automatically be converted to DateTime objects for your convenience.



%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md CONTRIBUTORS LICENSE ignore.txt Changes examples
%perl_vendor_privlib/W*

%changelog
* Tue Mar 14 2017 Igor Vlasenko <viy@altlinux.ru> 0.006-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- regenerated from template by package builder

* Mon Jan 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- regenerated from template by package builder

* Sat Sep 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Thu Sep 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

